package com.yn.bftl.thirdparty.modules.umeng.enums;

import lombok.AllArgsConstructor;

/**
 * @author huabiao
 * @create 2023/12/6  10:18
 **/
@AllArgsConstructor
public enum DisplayType {

    /**
     * 通知:消息送达到用户设备后，由友盟SDK接管处理并在通知栏上显示通知内容。
     */
    NOTIFICATION("notification"),
    /**
     * 消息:消息送达到用户设备后，消息内容透传给应用自身进行解析处理。
     */
    MESSAGE("message");

    private final String value;

    public String getValue() {
        return this.value;
    }

}
